import { jsx } from "react/jsx-runtime";
import { Pipe as Pipe$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pipe = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Pipe", ...props, children: /* @__PURE__ */ jsx(Pipe$1, { weight: variant }) });
  }
);
Pipe.displayName = "Pipe";
Object.assign(Pipe, { isGdsIcon: true });
export {
  Pipe
};
